/**
 * copyright area
 */
package org.objectweb.medor.filter.api;

import org.objectweb.medor.api.EvaluationException;

/**
 * This interface represents a ParameterOperand which must be evaluate. Its
 * evaluation can use Parameteroperand. This permits to transform a
 * ParameterOperand with other parameters.
 *
 * @author S.Chassande-Barrioz
 */
public interface CalculatedParameterOperand extends ParameterOperand {

	void evaluate(ParameterOperand[] pos) throws EvaluationException;
}
